
#include "stringParam.h"
#include <string.h>

stringParam::stringParam(char flag, string *target, string description,
		int options, int *numExamples, const int MaxExamples):
     param(flag, description, options, numExamples, MaxExamples)
{
	m_target = target;
	m_original = *target;
    initParam();
}

void 
stringParam::initParam()
{
	m_typeName = "string";
	m_numComponents = 1;
}

void
stringParam::setParam(char **arg)
{
    m_target[(*m_numExamples)++] = *arg;
}

