

#ifndef STRINGARG_H
#define STRINGARG_H

#include "param.h"

class stringParam : public param {
private:
    string *m_target;
	string m_original;

public:
    stringParam(char flag, string *target, string description, int options,
            int *numExamples, const int MaxExamples);
    ~stringParam(){};
    
    void initParam();
    virtual void printValue() const {  cerr << "\"" << m_original << "\"" ; };
    virtual void setParam(char **arg);
};
#endif
