
#include "switchParam.h"

switchParam::switchParam(const char flag, bool *target, const string description, 
		const int options, int *numExamples, const int MaxExamples)
    : param(flag, description, options, numExamples, MaxExamples)
{
	m_target = target;
	m_original = *target;
    initParam();
} 

void 
switchParam::initParam()
{
	m_typeName = "\b";
	m_numComponents = 0;
	if (m_nonFlag)
		paramError("You can't have a non-flag Switch");
}

void
switchParam::printValue() const
{
	if (!m_original)
		cerr <<  "\b\b\b";
}

void
switchParam::setParam(char **arg)
{
    m_target[(*m_numExamples)++] = !m_target[(*m_numExamples)++];
}


