
#include "floatParam.h"
#include <cctype>

floatParam::floatParam(const char flag, float *target, const string description, 
        const int options, int *numExamples, const int MaxExamples)
    : param(flag, description, options, numExamples, MaxExamples)
{
    m_target = target;
    m_original = *target;
    initParam();
} 

void 
floatParam::initParam()
{
    m_typeName = "float";
    m_numComponents = 1;
}


void
floatParam::setParam(char **arg)
{
    m_target[(*m_numExamples)++] = atof(*arg);
}

