

#ifndef FLOATARG_H
#define FLOATARG_H

#include "param.h"

class floatParam : public param
{
private:
    float *m_target;  // the data for this parameter
    float m_original;

public:
    floatParam(const char flag, float *target, const string description, 
            const int options, 
            int *numExamples, const int MaxExamples);
    ~floatParam(){};

    void initParam();
    virtual void printValue()const {  cerr << m_original; };
    virtual void setParam(char **arg);
};
#endif
