
#include "intParam.h"
#include <cctype>

intParam::intParam(const char flag, int *target, const string description, 
		const int options, int *numExamples, const int MaxExamples)
    : param(flag, description, options, numExamples, MaxExamples)
{
	m_target = target;
	m_original = *target;
    initParam();
} 

void 
intParam::initParam()
{
	m_typeName = "integer";
	m_numComponents = 1;
}


void
intParam::setParam(char **arg)
{
    m_target[(*m_numExamples)++] = atoi(*arg);
}

