

#ifndef INTARG_H
#define INTARG_H

#include "param.h"

class intParam : public param {
private:
    int *m_target;  // the data for this parameter
	int m_original;

public:
    intParam(const char flag, int *target, const string description, const int options, 
            int *numExamples, const int MaxExamples);
    ~intParam(){};

    void initParam();
    virtual void printValue()const {  cerr << m_original; };
    virtual void setParam(char **arg);
};
#endif
